summaryrefslogtreecommitdiffstats
path: root/development/boron
diff options
context:
space:
mode:
author B. Watson <urchlay@slackware.uk>2023-01-13 21:36:17 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-01-14 08:50:11 +0700
commitfee82e2fd376dbd9fdfe7011a5d16ec83f97ff0a (patch)
tree54f95e0778d881d93a9cff40c3b823a30214061a /development/boron
parent3161c2219c999f1ed15a895c1ac64ef69cd30591 (diff)
downloadslackbuilds-fee82e2fd376dbd9fdfe7011a5d16ec83f97ff0a.tar.gz
slackbuilds-fee82e2fd376dbd9fdfe7011a5d16ec83f97ff0a.tar.xz
development/boron: Added (scripting language)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/boron')
-rw-r--r--development/boron/README4
-rw-r--r--development/boron/boron.SlackBuild94
-rw-r--r--development/boron/boron.info10
-rw-r--r--development/boron/slack-desc19
4 files changed, 127 insertions, 0 deletions
diff --git a/development/boron/README b/development/boron/README
new file mode 100644
index 0000000000..940ed4f3c2
--- /dev/null
+++ b/development/boron/README
@@ -0,0 +1,4 @@
+boron (scripting language)
+
+Boron is a scripting language similar to REBOL. The interpreter is a C
+library which may be copied under the terms of the LGPLv3.
diff --git a/development/boron/boron.SlackBuild b/development/boron/boron.SlackBuild
new file mode 100644
index 0000000000..11e125aa39
--- /dev/null
+++ b/development/boron/boron.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/bash
+
+# Slackware build script for boron
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Warning to boron programmers: I'm really only interested in
+# maintaining this as far as it's required by games/xu4. I probably
+# won't update it unless xu4 needs a new version, but you could ask
+# me if you're impatient. I *definitely* won't update it if the update
+# breaks the xu4 build.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=boron
+VERSION=${VERSION:-2.0.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+sed -i "s,-O3,$SLKCFLAGS," Makefile
+
+# Note: *not* a GNU autoconf script, does not take standard options.
+# Also, DESTDIR not used in the canonical way.
+./configure --gnu-readline
+
+make DESTDIR=/usr \
+ MAN_DIR=/usr/man/man1 \
+ LIB_DIR=/usr/lib$LIBDIRSUFFIX
+
+make install install-dev \
+ DESTDIR=$PKG/usr \
+ MAN_DIR=$PKG/usr/man/man1 \
+ LIB_DIR=$PKG/usr/lib$LIBDIRSUFFIX
+
+# binary & library already stripped. 'make install' doesn't install this:
+mkdir -p $PKG/usr/share/vim/vimfiles/syntax
+install -m0644 doc/$PRGNAM.vim $PKG/usr/share/vim/vimfiles/syntax
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a LICENSE* README* doc/UserManual.md examples $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/boron/boron.info b/development/boron/boron.info
new file mode 100644
index 0000000000..b2a7649561
--- /dev/null
+++ b/development/boron/boron.info
@@ -0,0 +1,10 @@
+PRGNAM="boron"
+VERSION="2.0.8"
+HOMEPAGE="https://urlan.sourceforge.net/boron/"
+DOWNLOAD="https://downloads.sourceforge.net/project/urlan/Boron/boron-2.0.8.tar.gz"
+MD5SUM="3c32f25a326dcbcd8de9e85edf503151"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/development/boron/slack-desc b/development/boron/slack-desc
new file mode 100644
index 0000000000..c7c5f319cb
--- /dev/null
+++ b/development/boron/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+boron: boron (scripting language)
+boron:
+boron: Boron is a scripting language similar to REBOL. The interpreter is a C
+boron: library which may be copied under the terms of the LGPLv3.
+boron:
+boron:
+boron:
+boron:
+boron:
+boron:
+boron: